# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.531   -> 1.531.1.1
#	drivers/usb/media/stv680.c	1.12    -> 1.13   
#	drivers/usb/media/se401.c	1.16    -> 1.17   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/17	tony@cantech.net.au	1.531.1.1
# [PATCH] Change "return EBLAH" to "return -EBLAH in drivers/*
# 
# Hello All,
# 	This is a simple patch that changes several "return EBLAH"'s in drivers/*
# for "return -EBLAH".  I have done my best to check the call stack to ensure
# that the change in sign of the return values wont break anything.
# 
# The patch supplied is agaist linux-2.4.19-pre6
# --------------------------------------------
#
diff -Nru a/drivers/usb/media/se401.c b/drivers/usb/media/se401.c
--- a/drivers/usb/media/se401.c	Fri Apr 19 09:30:52 2002
+++ b/drivers/usb/media/se401.c	Fri Apr 19 09:30:52 2002
@@ -596,7 +596,7 @@
 	for (i=0; i<SE401_NUMSBUF; i++) {
 		urb=usb_alloc_urb(0, GFP_KERNEL);
 		if(!urb)
-			return ENOMEM;
+			return -ENOMEM;
 
 		FILL_BULK_URB(urb, se401->dev,
 			usb_rcvbulkpipe(se401->dev, SE401_VIDEO_ENDPOINT),
diff -Nru a/drivers/usb/media/stv680.c b/drivers/usb/media/stv680.c
--- a/drivers/usb/media/stv680.c	Fri Apr 19 09:30:52 2002
+++ b/drivers/usb/media/stv680.c	Fri Apr 19 09:30:52 2002
@@ -769,7 +769,7 @@
 	for (i = 0; i < STV680_NUMSBUF; i++) {
 		urb = usb_alloc_urb (0, GFP_KERNEL);
 		if (!urb)
-			return ENOMEM;
+			return -ENOMEM;
 
 		/* sbuf is urb->transfer_buffer, later gets memcpyed to scratch */
 		usb_fill_bulk_urb (urb, stv680->udev,
